/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by 
 *  Björnsen Beratende Ingenieure GmbH 
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.flowdepth;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import org.dive4elements.river.model.River;

/**
 * @author Gernot Belger
 *
 */
public class FlowDepthCalculationResults{
	private final List<FlowDepthCalculationResult> results = new ArrayList<>();

	private final River river;
	
	private final double from;
	
	private final double to;
	
	private final boolean useTkh;

	public FlowDepthCalculationResults(final River river, final double from, final double to, final boolean useTkh) {
		this.river = river;
		this.from = from;
		this.to = to;
		this.useTkh = useTkh;
	}
	
	public River getRiver() {
		return this.river;
	}

	public double getFrom() {
		return this.from;
	}

	public double getTo() {
		return this.to;
	}

	public boolean isUseTkh() {
		return this.useTkh;
	}
	
	void addResult(final FlowDepthCalculationResult result) {
		results.add(result);
	}
	
	public List<FlowDepthCalculationResult> getResults() {
		return Collections.unmodifiableList(results);
	}
}
